#ifndef TABLEPARAMETERCOMBOBOX_H
#define TABLEPARAMETERCOMBOBOX_H


#include "TableParameter.h"
#include "../delegates/ComboBoxEditorDelegate.h"
template <typename ParamItem> class TableParameterComboBox : public TableParameter<ParamItem> {
protected:
    virtual QStringList allValueNames(ParamItem item) const = 0;
    virtual QString paramValueName(ParamItem item) const = 0;
    virtual bool paramSetValueName(ParamItem item, QString name) const = 0;

    QVariant protData(ParamItem item, int role) const override {
        QVariant ret;
        if ((role == Qt::DisplayRole) || (role == Qt::EditRole)) {
            ret = paramValueName(item);
        } else if (role == Qt::UserRole) {
            ret =allValueNames(item);
        }
        return ret;
    }

    bool protSetData(ParamItem item, const QVariant &value, int role) const {
        bool ok = false;
        if (role == Qt::EditRole) {
            ok = paramSetValueName(item, value.toString());
        }
        return ok;
    }

    virtual QAbstractItemDelegate *createDelegate(QObject *parent) const override {
        return new ComboBoxEditorDelegate(parent);
    }
};

#endif // TABLEPARAMETERCOMBOBOX_H
