#include "LTR114Config.h"
#include "LTR114TypeInfo.h"
#include "LTR114AdcConfig.h"
#include "ltr/include/ltr114api.h"
#include "lqmeas/devs/LTR/marks/LTRSyncMarksRecvConfig.h"


namespace LQMeas {
    QString LTR114Config::typeConfigName() {
        return LTR114TypeInfo::defaultInfo().deviceTypeName();
    }

    const DevAdcConfig *LTR114Config::adcConfig() const {
        return m_adc.data();
    }

    const DevSyncMarksRecvConfig *LTR114Config::syncMarksRecvConfig() const {
        return m_syncRecv.data();
    }

    LTR114Config::LTR114Config() :
        m_adc{new LTR114AdcConfig{LTR114TypeInfo::defaultInfo()}},
        m_syncRecv{new LTRSyncMarksRecvConfig{}} {

        init();
    }

    LTR114Config::LTR114Config(const LTR114Config &cfg) :
        m_adc{new LTR114AdcConfig{cfg.adc()}},
        m_syncRecv{new LTRSyncMarksRecvConfig{cfg.marksRecv()}} {

        init();
    }

    LTR114Config::~LTR114Config() {

    }

    void LTR114Config::protUpdate() {
        m_syncRecv->updateSyncMarksRecvFreq(m_adc->adcFreq());
    }
}
