#ifndef LQMEAS_LTR114CONFIG_H
#define LQMEAS_LTR114CONFIG_H

#include "lqmeas/devs/DeviceConfig.h"

namespace LQMeas {
    class LTRSyncMarksRecvConfig;
    class LTR114AdcConfig;

    class LTR114Config : public DeviceConfig {
        Q_OBJECT
    public:
        static QString typeConfigName();
        QString configDevTypeName() const  override {return typeConfigName();}

        const DevAdcConfig *adcConfig() const override;
        const DevSyncMarksRecvConfig *syncMarksRecvConfig() const override;

        LTR114AdcConfig &adc() {return  *m_adc;}
        const LTR114AdcConfig &adc() const {return  *m_adc;}

        LTRSyncMarksRecvConfig &marksRecv() {return  *m_syncRecv;}
        const LTRSyncMarksRecvConfig &marksRecv() const {return  *m_syncRecv;}

        DeviceConfig *clone() const override {
            return new LTR114Config(*this);
        }

        LTR114Config();
        LTR114Config(const LTR114Config &cfg);
        ~LTR114Config() override;
    protected:
        void protUpdate() override;
    private:
        QScopedPointer<LTR114AdcConfig> m_adc;
        QScopedPointer<LTRSyncMarksRecvConfig> m_syncRecv;
    };
}

#endif // LQMEAS_LTR114CONFIG_H
