#include "LTR12Config.h"
#include "LTR12TypeInfo.h"
#include "LTR12AdcConfig.h"
#include "lqmeas/devs/LTR/marks/LTRSyncMarksRecvConfig.h"

namespace LQMeas {

    QString LTR12Config::typeConfigName() {
        return LTR12TypeInfo::defaultInfo().deviceTypeName();
    }

    const DevAdcConfig *LTR12Config::adcConfig() const {
        return m_adc.data();
    }

    const DevSyncMarksRecvConfig *LTR12Config::syncMarksRecvConfig() const {
        return m_syncRecv.data();
    }

    LTR12Config::LTR12Config() :
        m_adc(new LTR12AdcConfig(LTR12TypeInfo::defaultInfo())),
        m_syncRecv(new LTRSyncMarksRecvConfig()) {

        init();
    }

    LTR12Config::LTR12Config(const LTR12Config &cfg) :
        m_adc(new LTR12AdcConfig(cfg.adc())),
        m_syncRecv(new LTRSyncMarksRecvConfig(cfg.marksRecv())) {

        init();
    }

    void LTR12Config::protUpdate() {
        m_syncRecv->updateSyncMarksRecvFreq(m_adc->adcFreq());
    }

    LQMeas::LTR12Config::~LTR12Config() {

    }
}
