#include "LTR212Config.h"
#include "LTR212Info.h"
#include "LTR212AdcConfig.h"
#include "lqmeas/devs/LTR/marks/LTRSyncMarksRecvConfig.h"

namespace LQMeas {
    QString LTR212Config::typeConfigName() {
        return LTR212TypeInfo::name();
    }

    const DevAdcConfig *LTR212Config::adcConfig() const {
        return m_adc.data();
    }

    const DevSyncMarksRecvConfig *LTR212Config::syncMarksRecvConfig() const {
        return m_syncRecv.data();
    }

    LTR212Config::LTR212Config() :
        m_adc(new LTR212AdcConfig(LTR212TypeInfo::defaultInfo())),
        m_syncRecv(new LTRSyncMarksRecvConfig()) {

        init();
    }

    LTR212Config::LTR212Config(const LTR212Config &cfg) :
        m_adc(new LTR212AdcConfig(cfg.adc())),
        m_syncRecv(new LTRSyncMarksRecvConfig(cfg.marksRecv())){

        init();
    }

    void LTR212Config::protUpdate() {
        m_syncRecv->updateSyncMarksRecvFreq(m_adc->adcChFreq());
    }

    LQMeas::LTR212Config::~LTR212Config() {

    }

}
