#include "LTR216Config.h"
#include "LTR216AdcConfig.h"
#include "LTR216TypeInfo.h"
#include "lqmeas/devs/LTR/marks/LTRSyncMarksRecvConfig.h"

namespace LQMeas {
    QString LTR216Config::typeConfigName() {
        return LTR216TypeInfo::defaultInfo().deviceTypeName();
    }

    const DevAdcConfig *LTR216Config::adcConfig() const {
        return m_adc.data();
    }

    const DevSyncMarksRecvConfig *LTR216Config::syncMarksRecvConfig() const {
        return m_syncRecv.data();
    }

    LTR216Config::LTR216Config() :
        m_adc(new LTR216AdcConfig(LTR216TypeInfo::defaultInfo())),
        m_syncRecv(new LTRSyncMarksRecvConfig()) {

        init();
    }

    LTR216Config::LTR216Config(const LTR216Config &cfg) :
        m_adc(new LTR216AdcConfig(cfg.adc())),
        m_syncRecv(new LTRSyncMarksRecvConfig(cfg.marksRecv())) {

        init();
    }

    LTR216Config::~LTR216Config() {
    }

    void LTR216Config::protUpdate() {
        m_syncRecv->updateSyncMarksRecvFreq(m_adc->adcFreq());
    }
}
