#include "LTR22Config.h"
#include "LTR22TypeInfo.h"
#include "LTR22AdcConfig.h"
#include "lqmeas/devs/LTR/marks/LTRSyncMarksRecvConfig.h"

namespace LQMeas {
    QString LTR22Config::typeConfigName() {
        return LTR22TypeInfo::name();
    }

    const DevAdcConfig *LTR22Config::adcConfig() const  {
        return m_adc.data();
    }

    const DevSyncMarksRecvConfig *LTR22Config::syncMarksRecvConfig() const {
        return m_syncRecv.data();
    }

    LTR22Config::LTR22Config() :
        m_adc(new LTR22AdcConfig(LTR22TypeInfo::defaultInfo())),
        m_syncRecv(new LTRSyncMarksRecvConfig()) {

        init();
    }

    LTR22Config::LTR22Config(const LTR22Config &cfg) :
        m_adc(new LTR22AdcConfig(cfg.adc())),
        m_syncRecv(new LTRSyncMarksRecvConfig(cfg.marksRecv())) {

       init();
    }

    void LTR22Config::protUpdate() {
        m_syncRecv->updateSyncMarksRecvFreq(m_adc->adcChFreq());
    }

    LQMeas::LTR22Config::~LTR22Config() {

    }

}
