#include "LTR24Info.h"
#include <QJsonObject>
#include "lqmeas/StdConfigKeys.h"

namespace LQMeas {
    LTR24Info::LTR24Info(const LTR24TypeInfo &type, QString serial, int pld_ver, bool icp_ext_bw) :
        DeviceInfo(type, serial), m_pld_ver(pld_ver), m_icp_ext_bw(icp_ext_bw) {

    }

    void LTR24Info::protSave(QJsonObject &infoObj) const {
        infoObj[StdConfigKeys::pldVer()] = m_pld_ver;
        infoObj[StdConfigKeys::ipcExtBwLF()] = m_icp_ext_bw;
    }

    void LTR24Info::protLoad(const QJsonObject &infoObj) {
        m_pld_ver = infoObj[StdConfigKeys::pldVer()].toInt();
        m_icp_ext_bw = infoObj[StdConfigKeys::ipcExtBwLF()].toBool(true);
    }

    LTR24Info::LTR24Info(const LTR24Info &info) : DeviceInfo(info),
        m_pld_ver(info.m_pld_ver), m_icp_ext_bw(info.m_icp_ext_bw) {
    }
}
