#include "LTR25Config.h"
#include "LTR25AdcConfig.h"
#include "LTR25AdcICPConfig.h"
#include "lqmeas/devs/LTR/marks/LTRSyncMarksRecvConfig.h"
namespace LQMeas {
    QString LTR25Config::typeConfigName() {
        return LTR25TypeInfo::name();
    }

    const DevAdcConfig *LTR25Config::adcConfig() const  {
        return m_adc.data();
    }

    const DevAdcICPConfig *LTR25Config::adcICPConfig() const  {
        return m_icp.data();
    }

    const DevSyncMarksRecvConfig *LTR25Config::syncMarksRecvConfig() const {
        return m_syncRecv.data();
    }

    LTR25Config::LTR25Config() :
        m_adc(new LTR25AdcConfig(LTR25TypeInfo::defaultInfo())),
        m_icp(new LTR25AdcICPConfig(LTR25TypeInfo::defaultInfo())),
        m_syncRecv(new LTRSyncMarksRecvConfig()) {

        init();
    }

    LTR25Config::LTR25Config(const LTR25Config &cfg) :
        m_adc(new LTR25AdcConfig(cfg.adc())) ,
        m_icp(new LTR25AdcICPConfig(cfg.icp())),
        m_syncRecv(new LTRSyncMarksRecvConfig(cfg.marksRecv())) {

        init();
    }

    void LTR25Config::protUpdate() {
        m_syncRecv->updateSyncMarksRecvFreq(m_adc->adcChFreq());
    }

    LQMeas::LTR25Config::~LTR25Config() {

    }

}
