#ifndef LQMEAS_LTR27ADCCONFIG_H
#define LQMEAS_LTR27ADCCONFIG_H

#include "lqmeas/ifaces/in/adc/DevAdcConfig.h"
#include "LTR27TypeInfo.h"

namespace LQMeas {
    class LTR27AdcConfig : public DevAdcConfig {
        Q_OBJECT
    public:
        double adcFreq() const override {return results.FreqAdc;}
        double adcConfiguredFreq() const {return params.FreqAdc; }
        bool adcChEnabled(int ch) const override {return params.Ch[ch].Enabled;}
        int adcChRangeNum(int ch) const override { Q_UNUSED(ch) return 0;}

    public Q_SLOTS:
        void adcSetChEnabled(int ch, bool en);
        void adcSetFreq(double freq);
    protected:
        void protSave(QJsonObject &cfgObj) const override;
        void protLoad(const QJsonObject &cfgObj) override;
        void protUpdate() override;
    private:
        LTR27AdcConfig(const DevAdcInfo &info);
        LTR27AdcConfig(const LTR27AdcConfig &cfg);

        struct {
            struct {
                bool      Enabled;
            } Ch[LTR27TypeInfo::adc_channels_cnt];
            double   FreqAdc;
        } params;
        struct {
            double FreqAdc;
        } results;

        friend class LTR27Config;
    };
}

#endif // LQMEAS_LTR27ADCCONFIG_H
