#include "LTR27Config.h"
#include "LTR27AdcConfig.h"
#include "lqmeas/devs/LTR/marks/LTRSyncMarksRecvConfig.h"

namespace LQMeas {

    QString LTR27Config::typeConfigName() {
        return LTR27TypeInfo::name();
    }

    const DevAdcConfig *LTR27Config::adcConfig() const  {
        return m_adc.data();
    }

    const DevSyncMarksRecvConfig *LTR27Config::syncMarksRecvConfig() const {
        return m_syncRecv.data();
    }

    LTR27Config::LTR27Config() :
        m_adc(new LTR27AdcConfig(LTR27TypeInfo::defaultInfo())),
        m_syncRecv(new LTRSyncMarksRecvConfig()) {

        init();
    }

    LTR27Config::LTR27Config(const LTR27Config &cfg) :
        m_adc(new LTR27AdcConfig(cfg.adc())),
        m_syncRecv(new LTRSyncMarksRecvConfig(cfg.marksRecv())) {

        init();
    }

    void LTR27Config::protUpdate() {
        m_syncRecv->updateSyncMarksRecvFreq(m_adc->adcChFreq());
    }

    LQMeas::LTR27Config::~LTR27Config() {

    }
}
