#ifndef LQMEAS_LTR41_H
#define LQMEAS_LTR41_H

#include "ltr/include/ltr41api.h"
#include "lqmeas/devs/LTR/modules/LTRModule.h"
#include "lqmeas/ifaces/in/dig/DevInAsyncDig.h"

namespace LQMeas {
    class LTR41Config;
    class LTR41Info;

    class LTR41 : public LTRModule, public DevInAsyncDig {
        Q_OBJECT
    public:
        static const quint16 typeModuleID {LTR_MID_LTR41};

        ~LTR41() override;
        bool isOpened() const override;

        DevInAsyncDig *devInAsyncDig() override {
            return static_cast<DevInAsyncDig*>(this);
        }
        QString errorString(int err) const override;


        const LTR41Config &devspecConfig() const;
        const LTR41Info &devspecInfo() const;
    protected:
        TLTR* channel() const override;

        void protOpen(OpenFlags flags, LQError &err) override;
        void protClose(LQError &err) override;
        void protConfigure(const DeviceConfig &cfg, LQError &err) override;

        void protInAsyncDig(unsigned &val, LQError &err) override;
    private:
        explicit LTR41(LTRCrate *crate, int slot, QObject *parent = nullptr);
        mutable TLTR41 m_hnd;

        friend class LTRResolver;
    };
}

#endif // LQMEAS_LTR41_H
