#ifndef LQMEAS_LTR41CONFIG_H
#define LQMEAS_LTR41CONFIG_H

#include "lqmeas/devs/DeviceConfig.h"
#include "LTR41InConfig.h"

namespace LQMeas {
    class LTR41Config : public DeviceConfig {
        Q_OBJECT
    public:
        static QString typeConfigName();
        QString configDevTypeName() const override {return typeConfigName();}

        const DevInDigConfig *inDigConfig() const override {
            return &m_in;
        }

        LTR41InConfig &in() {return  m_in;}
        const LTR41InConfig &in() const {return  m_in;}

        DeviceConfig *clone() const override {
            return new LTR41Config(*this);
        }

        LTR41Config();
        LTR41Config(const LTR41Config &cfg);

    private:
        LTR41InConfig m_in;
    };
}

#endif // LQMEAS_LTR41CONFIG_H
