#ifndef LQMEAS_LTR41TYPEINFO_H
#define LQMEAS_LTR41TYPEINFO_H


#include "lqmeas/devs/DeviceTypeInfo.h"
#include "lqmeas/ifaces/in/dig/DevInDigInfo.h"

namespace LQMeas {
    class LTR41TypeInfo : public DeviceTypeInfo, public DevInDigInfo {
    public:
        static const QString &name();
        static const LTR41TypeInfo &defaultInfo();

        const DevInDigInfo *digin() const override {return static_cast<const DevInDigInfo *>(this);}

        QString deviceTypeName() const override {return name();}
        QList<const DeviceTypeInfo *> modificationList() const override;

        int inDigChannelsCnt() const override {return 16;}
    };
}

#endif // LQMEAS_LTR41TYPEINFO_H
