#include "LTRK511TypeInfo.h"
#include "ltr/include/ltrk511api.h"

namespace LQMeas {
    const QString &LTRK511TypeInfo::name() {
        static const QString str {QStringLiteral("LTRK511") };
        return str;
    }

    const LTRK511TypeInfo &LTRK511TypeInfo::defaultInfo() {
        static const LTRK511TypeInfo type;
        return type;
    }

    QList<const DeviceTypeInfo *> LTRK511TypeInfo::modificationList() const  {
        static const QList<const DeviceTypeInfo *> list {
            &defaultInfo()
        };
        return list;
    }

    int LTRK511TypeInfo::outDigChannelsCnt() const {
        return LTRK511_RELAY_CNT;
    }

    double LTRK511TypeInfo::outDacChRangeMaxVal(int ch, int range) const {
        Q_UNUSED(ch) Q_UNUSED(range)
        return LTRK511_DAC_VALUE_MAX;
    }

    double LTRK511TypeInfo::outDacChRangeMinVal(int ch, int range) const {
        Q_UNUSED(ch) Q_UNUSED(range)
        return 0;
    }

    LTRK511TypeInfo::LTRK511TypeInfo() {

    }
}
