#ifndef LQMEAS_LTRK511TYPEINFO_H
#define LQMEAS_LTRK511TYPEINFO_H


#include "lqmeas/devs/DeviceTypeInfo.h"
#include "lqmeas/ifaces/out/DevOutInfo.h"

namespace LQMeas {
    class LTRK511TypeInfo : public DeviceTypeInfo, public DevOutInfo {
    public:
        static const QString &name();
        QString deviceTypeName() const override {return name();}

        static const LTRK511TypeInfo &defaultInfo();

        QList<const DeviceTypeInfo *> modificationList() const override;

        bool outDacSyncSupport() const override {return false;}
        bool outDigSyncSupport() const override {return false;}
        bool outDacAsyncSupport() const override {return true;}
        bool outDigAsyncSupport() const override {return true;}
        bool outDacSyncModeCfgPerCh() const override {return false;}
        bool outSyncRamModeIsConfigurable() const override {return false;}
        bool outSyncDacChGenModeIsConfigurable() const override {return false;}
        bool outSyncDigChGenModeIsConfigurable() const override {return false;}
        double outSyncGenFreqMax() const override {return 0;}
        bool outSyncPresetSupport() const override {return false;}
        int outDacChannelsCnt() const override {return 1;}
        int outDigChannelsCnt() const override;
        int outDacChRangesCnt(int ch) const override {Q_UNUSED(ch) return 1;}
        double outDacChRangeMaxVal(int ch, int range) const override;
        double outDacChRangeMinVal(int ch, int range) const override;
    private:
        LTRK511TypeInfo();
    };
}
#endif // LQMEAS_LTRK511TYPEINFO_H
