#ifndef E502NETSVCRECORD_H
#define E502NETSVCRECORD_H

#include "lqmeas/devs/resolver/netBrowser/DeviceNetSvcRecord.h"
#include "e502api.h"

namespace LQMeas {
    class E502NetSvcRecord : public DeviceNetSvcRecord{
    public:
        QString instanceName() const override;
        QString deviceTypeName() const override;
        QString deviceSerial() const override;
        QHostAddress hostAddress() const override;
        bool isEqual(const DeviceNetSvcRecord &rec) const override;
        ~E502NetSvcRecord() override;
    private:
        E502NetSvcRecord(t_e502_eth_svc_record_hnd hnd);
        t_x502_devrec createDevrec(int connectionTout) const;

        static constexpr int defaultAddrResolveTout() {return 5000;}

        t_e502_eth_svc_record_hnd m_hnd;
        mutable QHostAddress m_addr;

        friend class E502;
        friend class E502NetworkBrowser;
        friend class E502DeviceRefNetSvc;
    };
}

#endif // E502NETSVCRECORD_H
